package cn.com.qmth.examcloud.core.questions.service;

import java.util.Map;

import cn.com.qmth.examcloud.core.questions.dao.entity.Paper;
import cn.com.qmth.examcloud.question.core.question.DefaultQuestion;

/**
 * @author 		weiwenhai
 * @date 		2018.8.15
 * @company		qmth
 * @describle	调卷规则远程接口
 */
public interface ExtractConfigProviderService {

	/**
	 * 根据调卷规则抽取试卷
	 * @param req
	 * @return
	 */
	public Map<String, Object> getDefaultPaper(Long examId,String courseCode,String groupCode);
	
	/**
	 * 
	 * @param exam_id
	 * @param course_code
	 * @param group_code
	 * @param questionId
	 * @return
	 */
	public DefaultQuestion getDefaultQuestion(Long examId,String courseCode,String groupCode,String questionId);
	
}
